Page MenuHomePhabricator

Log which accepted CX Suggestions come from recommend.wmflabs.org
Closed, ResolvedPublic

Description

Since the CX tool now has multiple types of translation suggestions, we would like to know which accepted CX translations came from an API call to recommend.wmflabs.org

Event Timeline

ellery created this task.Jan 22 2016, 11:58 PM
ellery raised the priority of this task from to Needs Triage.
ellery updated the task description. (Show Details)
ellery added a project: GapFinder.
ellery added a subscriber: ellery.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 22 2016, 11:58 PM
ellery renamed this task from Log which CX Suggestions come from recommend.wmflabs.org to Log which accepted CX Suggestions come from recommend.wmflabs.org.Jan 23 2016, 12:02 AM
ellery set Security to None.
ellery updated the task description. (Show Details)Jan 25 2016, 11:52 PM

@santhosh can you take care of this task before you execute T119939 ? This way, we will have a clean way to distinguish between campaign suggestions and suggestions from article rec API.

santhosh claimed this task.Jan 27 2016, 6:06 AM
santhosh moved this task from Backlog to In Progress on the LE-CX8-Sprint 1 board.

Change 266666 had a related patch set uploaded (by Santhosh):
Suggestions: Capture the list type for the campaign identifier

https://gerrit.wikimedia.org/r/266666

@leila, T119939: Notify translators about new personalised suggestions being available based on their recently published translation is already scheduled to go out this Thursday- 28th Jan. So we will not catch that train. Let us target the next week deployment train.

In the above patch, I added more generic eventlogging for suggestions. Every type of suggestion has a type id in CX. For personalized suggestions type is 5. So the campaign is going to be 'suggestions-type-5'. If we use this in query, we will get recommendation tool suggestion acceptance. Featured article suggestions if used, will have campaign id as 'suggestions-type-1'

Change 266666 merged by jenkins-bot:
Suggestions: Capture the list type for the campaign identifier

https://gerrit.wikimedia.org/r/266666

santhosh moved this task from In Review to QA on the LE-CX8-Sprint 1 board.Jan 27 2016, 7:05 AM

thanks @santhosh. Next week is fine, too. :-)

QA:
logEvent ContentTranslationCTA Object {version: 1, cta: "suggestions-type-5", action: "accept", session: "fefefefefefefefefe", contentLanguage: "en"…}

Nikerabbit moved this task from QA to Done on the LE-CX8-Sprint 1 board.Feb 1 2016, 2:05 PM
santhosh closed this task as Resolved.Feb 10 2016, 8:14 AM